.user-page {
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.user-header {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
}

.user-header h2 {
  display: flex;
  align-items: center;
  gap: 10px;
}

.user-content {
  display: flex;
  gap: 20px;
}

.user-card, .queries-card {
  background-color: #ffffff;
  border: 1px solid #ddd;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  padding: 20px;
  width: 300px;
}

.user-card h3, .queries-card h3 {
  margin-bottom: 20px;
  text-align: center;
}

.form-group {
  margin-bottom: 10px;
}

.form-group label {
  display: block;
  margin-bottom: 5px;
}

.form-group input {
  width: 100%;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.error-message {
  color: red;
  text-align: center;
}

.query-card {
  border-bottom: 1px solid #ddd;
  padding: 10px 0;
}

.query-card:last-child {
  border-bottom: none;
}

button {
  padding: 10px 20px;
  background-color: purple;
  color: white;
  border: none;
  border-radius: 4px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-top: 10px;
}

button:hover {
  background-color: #6b1d7b;
}

button[type="button"] {
  background-color: grey;
}

button[type="button"]:hover {
  background-color: #5a5a5a;
}
